import http from "@/api/http.js"

// 数据源管理模块
const apiDataSource={
    //获取数据源列表列配置项
    //列表类型ColumnType：1数据源明细表，2数据源统计表，3删除指标列表，4指标信息变更表"
    GLTableColOpts:params=>{
        return http.get('/data_stat/source_column',params)
    },

    //编辑自定义列
    GLTableColEdit:params=>{
        return http.post('/data_stat/source_column/edit',params)
    },

    //数据源明细表
    GLDetailTableList:params=>{
        return http.get('/data_stat/edb_update_stat',params)
    },

    //数据源统计
    GLStatisticTableList:params=>{
        return http.get('/data_stat/source_stat',params)
    },

    //删除指标列表数据
    GLDelTableList:params=>{
        return http.get('/data_stat/edb_delete_log',params)
    },

    //指标信息变更列表数据
    GLEdbInfoTableList:params=>{
        return http.get('/data_stat/edb_update_log',params)
    },

    //刷新失败指标详情
    GLRefreshFailDetail:params=>{
        return http.get('data_stat/edb_update_stat/failed',params)
    },

    // 新增/编辑终端账号
    accountSave:params=>{
        return http.post('/data_stat/terminal/save',params)
    },

    //终端账号列表
    accountList:params=>{
        return http.get('/data_stat/terminal/list',params)
    },

    //启用/禁用终端账号
    accountSet:params=>{
        return http.post('/data_stat/terminal/status/set',params)
    },

    // 获取终端编码数据
    terminalCodeArr:params=>{
        return http.get('/data_stat/terminal/code',{})
    }
    

}

export {
    apiDataSource
}